﻿using Infragistics.UltraChart.Shared.Styles;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraChart_Format_Tooltip_ThousandSeparator
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.ChartType = ChartType.ColumnChart;
            ultraChart1.DataSource = getLineData();
            ultraChart1.DataBind();

            // ツールチップのフォーマット
            this.ultraChart1.Tooltips.FormatString = "<DATA_VALUE:#,##0>";

            this.ultraChart1.Axis.Y.RangeMin = 0;
            this.ultraChart1.Axis.Y.RangeMax = 5000;
        }

        private DataTable getLineData()
        {
            DataTable table = new DataTable();

            table.Columns.Add("東京本社", typeof(Int32));
            table.Columns.Add("名古屋支社", typeof(Int32));
            table.Columns.Add("京都支社", typeof(Int32));
            table.Columns.Add("岡山支社", typeof(Int32));

            table.Rows.Add(new object[] { 3050, 2870, 1950, 890 });

            return table;
        }
    }
}
